---
type: api
title: Get Elasticsearch tiers
description: Retrieves the current memory size, zone count, and available sizes for all enabled Elasticsearch tiers in a Deployment. Disabled tiers are excluded.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-deployment-es-resource-tiers
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-deployment-es-resource-tiers
products:
  - Elastic Cloud Enterprise
---

# Get Elasticsearch tiers

## Paths

- `GET` `/deployments/{deployment_id}/elasticsearch/{ref_id}/tiers`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment
- `ref_id` (string)
  User-specified RefId for the Resource (or '_main' if there is only one)

## Description

Retrieves the current memory size, zone count, and available sizes for all enabled Elasticsearch tiers in a Deployment. Disabled tiers are excluded.

## Responses

#### `200`

The size configuration of all enabled Elasticsearch tiers

`application/json`

- `hot_content` ({} TierInfo)
  Current configuration of an individual Elasticsearch tier
  - `memory_size` (integer)
    The memory size in MB for this tier.
  - `zone_count` (integer)
    The number of availability zones for this tier.
  - `available_sizes` ([] integer)
    Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
- `warm` ({} TierInfo)
  Current configuration of an individual Elasticsearch tier
  - `memory_size` (integer)
    The memory size in MB for this tier.
  - `zone_count` (integer)
    The number of availability zones for this tier.
  - `available_sizes` ([] integer)
    Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
- `cold` ({} TierInfo)
  Current configuration of an individual Elasticsearch tier
  - `memory_size` (integer)
    The memory size in MB for this tier.
  - `zone_count` (integer)
    The number of availability zones for this tier.
  - `available_sizes` ([] integer)
    Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
- `frozen` ({} TierInfo)
  Current configuration of an individual Elasticsearch tier
  - `memory_size` (integer)
    The memory size in MB for this tier.
  - `zone_count` (integer)
    The number of availability zones for this tier.
  - `available_sizes` ([] integer)
    Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
- `master` ({} TierInfo)
  Current configuration of an individual Elasticsearch tier
  - `memory_size` (integer)
    The memory size in MB for this tier.
  - `zone_count` (integer)
    The number of availability zones for this tier.
  - `available_sizes` ([] integer)
    Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
- `coordinating` ({} TierInfo)
  Current configuration of an individual Elasticsearch tier
  - `memory_size` (integer)
    The memory size in MB for this tier.
  - `zone_count` (integer)
    The number of availability zones for this tier.
  - `available_sizes` ([] integer)
    Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
- `ml` ({} TierInfo)
  Current configuration of an individual Elasticsearch tier
  - `memory_size` (integer)
    The memory size in MB for this tier.
  - `zone_count` (integer)
    The number of availability zones for this tier.
  - `available_sizes` ([] integer)
    Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
#### `404`

* The Deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)
* The Elasticsearch Resource specified by {ref_id} cannot be found. (code: `deployments.deployment_resource_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /deployments/{deployment_id}/elasticsearch/{ref_id}/tiers
```

#### curl

```curl
curl -X GET "/deployments/{deployment_id}/elasticsearch/{ref_id}/tiers"
```

